package com.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 房源入住设置
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaHouseSetting对象", description="房源入住设置")
public class TaHouseSetting implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "设置ID")
    @TableId(value = "setting_id", type = IdType.INPUT)
    private String settingId;

    @ApiModelProperty(value = "房源")
    private String houseId;

    @ApiModelProperty(value = "入住人数")
    private Integer personNum;

    @ApiModelProperty(value = "入住开始时间 yyyy-mm-dd")
    private String startDate;

    @ApiModelProperty(value = "入住结束时间 yyyy-mm-dd")
    private String endDate;

    @ApiModelProperty(value = "状态 2说明不生效")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
